#wrapper {
    display: flex;
    flex-direction: column;
    min-width: 700px;
    width: 100%;
    height: 100%;
    overflow-x: scroll;
}

.parent {
    width: 100%;
    height: 50%;
    display: flex;
}

.label__container {
    position: relative;
    height: 100%;
}

.branch {
    position: relative;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.entry {
    position: relative;
    height: 50%;
    width: 100%;
    display: flex;
}

.entry::after {
    content: '';
    position: absolute;
    width: 2px;
    height: 50%;
    left: 0;
    bottom: 0;
    background-color: #3a7d6d;
}

.entry:last-child:after {
    top: 0;
}

.label {
    position: absolute;
    width: 100%;
    text-align: center;
    text-transform: uppercase;
    display: block;
    left: 0;
    top: 50%;
    border-bottom: 2px solid #3a7d6d;
}
